Skip to main content
`Ctrl`+`K`

# MatSNESMFMoreSetParameters

Sets the parameters for the approximation of matrix-vector products using finite differences, see `MatCreateSNESMFMore()`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode MatSNESMFMoreSetParameters(Mat mat, PetscReal error, PetscReal umin, PetscReal h)

## Input Parameters

- mat - the matrix

- error - relative error (should be set to the square root of the relative error in the function evaluations)

- umin - minimum allowable u-value

- h - differencing parameter

## Options Database Keys

- -snes_mf_err <error_rel> - see `MatCreateSNESMF()`

- -snes_mf_umin <umin> - see `MatCreateSNESMF()`

- -snes_mf_compute_err - compute the square root or relative error in function

- -snes_mf_freq_err <freq> - set the frequency to recompute the parameters

- -snes_mf_jorge - use the method of Jorge More

## Note

If the user sets the parameter `h` directly, then this value will be used instead of the default computation as discussed in `MatCreateSNESMFMore()`

## See Also

SNES: Nonlinear Solvers, `SNES`, `MatCreateSNESMF()`, `MatCreateSNESMFMore()`

## Level

advanced

## Location

src/snes/interface/noise/snesmfj2.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages